#include <msp430g2553.h>


void main(void)

{
	BCSCTL1 = CALBC1_1MHZ;		//nastaveni vnitrniho oscilatoru
	DCOCTL = CALDCO_1MHZ;

	WDTCTL = WDTPW + WDTHOLD; 	//stop watchdog
	WDTCTL = WDTPW + WDTHOLD; // Stop watchdog
	P1DIR |= BIT0 + BIT6; 
	P1OUT |= BIT0 + BIT6; 
	
	P1DIR &= ~BIT3;                     // BIT3 nastaveno na vstup
	P1OUT |= BIT3;                      // pull-up rezistor
	P1REN |= BIT3;                      // rezistor povolen
	
	TACCR0=0x0000;
	TACCTL0 = CCIE;		//povoleni preruseni casovace
	TACTL = TASSEL_2 + MC_1; // nastaveni casovace A na SMCLCK,citani pouze do hodnoty TACCR0
	// povoleni preruseni

__enable_interrupt();

__bis_SR_register(GIE); // povoleni preruseni 

	
	while(1)					//nekonecna smycka
	{
		volatile unsigned int i;

		if ( (P1IN & BIT3) != BIT3)         //testovani tlacitka
		{
		TACCR0 = TACCR0 + 0x09FF;		//pricteni konstanty do registru
		P1OUT |= BIT6;				//signalizace stisknuteho tlacitka
		i = 20000;						//casova smycka
		do (i--);
		while (i != 0);
		
		P1OUT ^= BIT6;
		
		}


	}
}

// casovac TIMER0 vektor preruseni
#pragma vector=TIMER0_A0_VECTOR
__interrupt void Timer0_A0 (void)
{

P1OUT ^= BIT0;		//negace LED

}
